## ktouch 20.12.0

=== CMakeLists.txt ===
# KTouch CMakeLists.txt file
#
# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")


cmake_minimum_required(VERSION 3.5)
if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
   cmake_policy(VERSION 3.10)
endif()
project(ktouch VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.46.0")


find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
find_package(KF5DocTools)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(ECMAddTests)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
    Core
    Gui
    Qml
    Quick
    QuickWidgets
    QuickControls2
    Sql
    Widgets
    Xml
    XmlPatterns
)

find_package(Qt5X11Extras)
find_package(Qt5 CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Completion
    Config
    ConfigWidgets
    CoreAddons
    DocTools
    I18n
    ItemViews
    KCMUtils
    TextWidgets
    WidgetsAddons
    WindowSystem
    XmlGui
    IconThemes
)


option(COMPILE_QML "Precompile QML code" OFF)

# enable QML debugging for debug builds
set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

# subdirectories to build
ecm_optional_add_subdirectory(data)
ecm_optional_add_subdirectory(doc)
ecm_optional_add_subdirectory(src)
# ecm_optional_add_subdirectory(sounds)
ecm_optional_add_subdirectory(icons)

# files to install in the ktouch project root directory
ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install(FILES org.kde.ktouch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KTOUCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTouchConfigVersion.cmake"
)

find_package(X11)
find_package(XCB OPTIONAL_COMPONENTS XCB XKB)

if (Qt5X11Extras_FOUND AND X11_FOUND AND X11_Xkbfile_FOUND AND X11_Xkb_FOUND AND XCB_FOUND AND XCB_XKB_FOUND)
    set(KTOUCH_BUILD_WITH_X11 TRUE)
endif()

add_feature_info ("Keyboard Layout Detection" KTOUCH_BUILD_WITH_X11 "needs Qt5X11Extras, libX11, libxkb, libxkbfile, libxcb, and libxcb-xkb")

ecm_optional_add_subdirectory(schemata)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${ktouch_SOURCE_DIR}
)


# configure the local configuration file
configure_file(ktouch_build_config.h.in ktouch_build_config.h)


# set the source code files from which KTouch is compiled
set(ktouch_SRCS
    main.cpp
    application.cpp
    mainwindow.cpp
    bindings/utils.cpp
    bindings/stringformatter.cpp
    declarativeitems/griditem.cpp
    declarativeitems/kcolorschemeproxy.cpp
    declarativeitems/lessonpainter.cpp
    declarativeitems/lessontexthighlighteritem.cpp
    declarativeitems/preferencesproxy.cpp
    declarativeitems/scalebackgrounditem.cpp
    declarativeitems/traininglinecore.cpp
    core/resource.cpp
    core/keyboardlayoutbase.cpp
    core/keyboardlayout.cpp
    core/abstractkey.cpp
    core/key.cpp
    core/keychar.cpp
    core/specialkey.cpp
    core/coursebase.cpp
    core/course.cpp
    core/lesson.cpp
    core/trainingstats.cpp
    core/profile.cpp
    core/dataindex.cpp
    core/dataaccess.cpp
    core/dbaccess.cpp
    core/profiledataaccess.cpp
    core/resourcedataaccess.cpp
    core/userdataaccess.cpp
    undocommands/coursecommands.cpp
    undocommands/keyboardlayoutcommands.cpp
    models/resourcemodel.cpp
    models/lessonmodel.cpp
    models/charactersmodel.cpp
    models/categorizedresourcesortfilterproxymodel.cpp
    models/errorsmodel.cpp
    models/learningprogressmodel.cpp
    editor/resourceeditor.cpp
    editor/resourceeditorwidget.cpp
    editor/newresourceassistant.cpp
    editor/resourcetypeswidget.cpp
    editor/newcoursewidget.cpp
    editor/newkeyboardlayoutwidget.cpp
    editor/resourcetemplatewidget.cpp
    editor/abstracteditor.cpp
    editor/courseeditor.cpp
    editor/keyboardlayoutcombobox.cpp
    editor/lessontexteditor.cpp
    editor/lessontexthighlighter.cpp
    editor/keyboardlayouteditor.cpp
    editor/keyboardlayouteditorview.cpp
    editor/keyboardlayoutpropertieswidget.cpp
    editor/charactersviewdelegate.cpp
    trainingconfigwidget.cpp
    colorsconfigwidget.cpp
    customlessoneditordialog.cpp
    ktouchcontext.cpp
)

qt5_add_resources(ktouch_imgs_SRCS images/images.qrc)

if (Qt5QuickCompiler_FOUND AND COMPILE_QML)
    qtquick_compiler_add_resources(ktouch_qml_SRCS qml/qml.qrc)
else ()
    qt5_add_resources(ktouch_qml_SRCS qml/qml.qrc)
endif()

# compile UI files
ki18n_wrap_ui(ktouch_SRCS
    ui/colorsconfigwidget.ui
    ui/trainingconfigwidget.ui
    ui/resourceeditorwidget.ui
    ui/resourcetypeswidget.ui
    ui/newcoursewidget.ui
    ui/newkeyboardlayoutwidget.ui
    ui/resourcetemplatewidget.ui
    ui/courseeditor.ui
    ui/lessontexteditor.ui
    ui/keyboardlayouteditor.ui
    ui/keyboardlayoutpropertieswidget.ui
    ui/customlessoneditordialog.ui
)

if (KTOUCH_BUILD_WITH_X11)
    add_definitions(-DKTOUCH_BUILD_WITH_X11)
    include_directories(${X11_Xkb_INCLUDE_PATH})
    include_directories(${X11_Xkbfile_INCLUDE_PATH})
    set(ktouch_SRCS ${ktouch_SRCS} x11_helper.cpp)
    set(ktouch_X11_DEPS Qt5::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
endif ()

kconfig_add_kcfg_files(ktouch_SRCS preferences.kcfgc)

add_executable(ktouch ${ktouch_SRCS} ${ktouch_imgs_SRCS} ${ktouch_qml_SRCS})

#uncomment this if oxygen icons for ktouch are available
target_link_libraries(ktouch
    LINK_PUBLIC
        Qt5::Qml
        Qt5::Quick
        Qt5::QuickWidgets
        Qt5::QuickControls2
        Qt5::Sql
        Qt5::XmlPatterns
        KF5::Completion
        KF5::ConfigWidgets
        KF5::ItemViews
        KF5::XmlGui
        KF5::I18n
        KF5::KCMUtils
        KF5::TextWidgets
        KF5::WindowSystem
        KF5::CoreAddons
        KF5::IconThemes
        ${ktouch_X11_DEPS}
)

#kde4_add_app_icon(ktouch_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/ktouch.png")
#kde4_add_app_icon(ktouch_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-ktouch.png")

install(TARGETS ktouch ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ktouch.kcfg DESTINATION ${KCFG_INSTALL_DIR})

=== debian/changelog ===
ktouch (4:20.12.0-2) unstable; urgency=medium

  * Fix runtime dependencies:
    - Should be on bin package not on data package.
    - Add min versions to all Qt and KF5 dependencies, according to upstream
      build system.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 23:00:36 +0100

ktouch (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Update build dependencies according to upstream build system:
    - remove libkf5declarative-dev
  * Bump Standards-Version to 4.5.1 (no change needed).
  * Refresh upstream metadata:
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Adjust runtime dependencies on QML modules:
    - drop unused qml-module-qtquick-controls
    - add missing qml-module-qtquick-window2
  * Update project homepage.
  * Add salsa-ci.yml GitLab CI/CD pipeline.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Dec 2020 22:06:30 +0100

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.46.0~),
               libkf5completion-dev (>= 5.46.0~),
               libkf5config-dev (>= 5.46.0~),
               libkf5configwidgets-dev (>= 5.46.0~),
               libkf5coreaddons-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5itemviews-dev (>= 5.46.0~),
               libkf5kcmutils-dev (>= 5.46.0~),
               libkf5textwidgets-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libkf5windowsystem-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtquickcontrols2-5-dev (>= 5.11.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-charts (>= 5.46.0~),
         qml-module-org-kde-kcoreaddons (>= 5.46.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.46.0~),
         qml-module-qtgraphicaleffects (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick-window2 (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 20.12.3

=== debian/changelog ===
ktouch (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:26:22 +0000

ktouch (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:59:37 +0000

ktouch (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:13:35 +0000

## ktouch 21.08.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,17 @@
 # KTouch CMakeLists.txt file
 #
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 
-cmake_minimum_required(VERSION 3.5)
-if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
-   cmake_policy(VERSION 3.10)
-endif()
+cmake_minimum_required(VERSION 3.15)
 project(ktouch VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.11.0")
-set(KF5_MIN_VERSION "5.46.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -80,7 +77,7 @@
 if (KF5DocTools_FOUND)
     kdoctools_install(po)
 endif()
-install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
+install( PROGRAMS org.kde.ktouch.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
 install(FILES org.kde.ktouch.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -88,12 +88,12 @@
     ktouchcontext.cpp
 )
 
-qt5_add_resources(ktouch_imgs_SRCS images/images.qrc)
+qt_add_resources(ktouch_imgs_SRCS images/images.qrc)
 
 if (Qt5QuickCompiler_FOUND AND COMPILE_QML)
     qtquick_compiler_add_resources(ktouch_qml_SRCS qml/qml.qrc)
 else ()
-    qt5_add_resources(ktouch_qml_SRCS qml/qml.qrc)
+    qt_add_resources(ktouch_qml_SRCS qml/qml.qrc)
 endif()
 
 # compile UI files
@@ -117,7 +117,7 @@
     include_directories(${X11_Xkb_INCLUDE_PATH})
     include_directories(${X11_Xkbfile_INCLUDE_PATH})
     set(ktouch_SRCS ${ktouch_SRCS} x11_helper.cpp)
-    set(ktouch_X11_DEPS Qt5::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
+    set(ktouch_X11_DEPS Qt::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
 endif ()
 
 kconfig_add_kcfg_files(ktouch_SRCS preferences.kcfgc)
@@ -127,12 +127,12 @@
 #uncomment this if oxygen icons for ktouch are available
 target_link_libraries(ktouch
     LINK_PUBLIC
-        Qt5::Qml
-        Qt5::Quick
-        Qt5::QuickWidgets
-        Qt5::QuickControls2
-        Qt5::Sql
-        Qt5::XmlPatterns
+        Qt::Qml
+        Qt::Quick
+        Qt::QuickWidgets
+        Qt::QuickControls2
+        Qt::Sql
+        Qt::XmlPatterns
         KF5::Completion
         KF5::ConfigWidgets
         KF5::ItemViews
@@ -149,6 +149,6 @@
 #kde4_add_app_icon(ktouch_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/ktouch.png")
 #kde4_add_app_icon(ktouch_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-ktouch.png")
 
-install(TARGETS ktouch ${INSTALL_TARGETS_DEFAULT_ARGS})
-install(FILES ktouch.kcfg DESTINATION ${KCFG_INSTALL_DIR})
+install(TARGETS ktouch ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+install(FILES ktouch.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               libkf5completion-dev (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5itemviews-dev (>= 5.83.0~),
               libkf5kcmutils-dev (>= 5.83.0~),
               libkf5textwidgets-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libqt5xmlpatterns5-dev (>= 5.15.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-charts (>= 5.46.0~),
         qml-module-org-kde-kcoreaddons (>= 5.46.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.46.0~),
         qml-module-qtgraphicaleffects (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick-window2 (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with kf5

## ktouch 21.08.1

=== debian/changelog ===
ktouch (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:38:26 +0100

ktouch (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:07:50 +0100

ktouch (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:01:56 +0100

ktouch (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:37:27 +0100

ktouch (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:49:01 +0100

ktouch (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:46:12 +0100

ktouch (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:12:38 +0100

ktouch (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Add misc:Depends to ktouch-data

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:42:55 +0100

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.46.0~),
               libkf5completion-dev (>= 5.46.0~),
               libkf5config-dev (>= 5.46.0~),
               libkf5configwidgets-dev (>= 5.46.0~),
               libkf5coreaddons-dev (>= 5.46.0~),
               libkf5doctools-dev (>= 5.46.0~),
               libkf5i18n-dev (>= 5.46.0~),
               libkf5itemviews-dev (>= 5.46.0~),
               libkf5kcmutils-dev (>= 5.46.0~),
               libkf5textwidgets-dev (>= 5.46.0~),
               libkf5widgetsaddons-dev (>= 5.46.0~),
               libkf5windowsystem-dev (>= 5.46.0~),
               libkf5xmlgui-dev (>= 5.46.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtquickcontrols2-5-dev (>= 5.11.0~),
Standards-Version: 4.5.1
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-charts (>= 5.46.0~),
         qml-module-org-kde-kcoreaddons (>= 5.46.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.46.0~),
         qml-module-qtgraphicaleffects (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick-window2 (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Depends: ${misc:Depends}
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 #
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
ktouch (4:21.12.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable: Remaining changes:
    - Kubuntu Vcs and maintainer.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 09 Mar 2022 11:38:54 +0000

ktouch (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Add lintian override for ktouch-data not using ${misc:Depends}.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Mar 2022 23:34:06 +0100

ktouch (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:16:09 +0000

ktouch (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:22:45 +0000

ktouch (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:30:34 +0000

ktouch (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:27:43 +0000

ktouch (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:12:03 +0000

ktouch (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:22:54 +0000

ktouch (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:30:07 +0000

ktouch (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:45:20 +0000

ktouch (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:28:23 +0900

ktouch (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar, Maximiliano Curia from the uploaders, thanks
    for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 17:58:06 +0900

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.15~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.83.0~),
               libkf5completion-dev (>= 5.83.0~),
               libkf5config-dev (>= 5.83.0~),
               libkf5configwidgets-dev (>= 5.83.0~),
               libkf5coreaddons-dev (>= 5.83.0~),
               libkf5doctools-dev (>= 5.83.0~),
               libkf5i18n-dev (>= 5.83.0~),
               libkf5iconthemes-dev (>= 5.83.0~),
               libkf5itemviews-dev (>= 5.83.0~),
               libkf5kcmutils-dev (>= 5.83.0~),
               libkf5textwidgets-dev (>= 5.83.0~),
               libkf5widgetsaddons-dev (>= 5.83.0~),
               libkf5windowsystem-dev (>= 5.83.0~),
               libkf5xmlgui-dev (>= 5.83.0~),
               libqt5x11extras5-dev (>= 5.11.0~),
               libqt5xmlpatterns5-dev (>= 5.15.0~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtquickcontrols2-5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ktouch
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-charts (>= 5.46.0~),
         qml-module-org-kde-kcoreaddons (>= 5.46.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.46.0~),
         qml-module-qtgraphicaleffects (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick-window2 (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 22.08.1

=== debian/changelog ===
ktouch (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:45:25 +0100

ktouch (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:54:47 +0100

ktouch (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:32:34 +0100

ktouch (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:07:09 +0100

ktouch (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:06:14 +0100

ktouch (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:53:34 +0100

## ktouch 22.12.0

=== debian/changelog ===
ktouch (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:54 +0100

ktouch (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:05 +0100

=== debian/control ===
Source: ktouch
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               libkf5completion-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5configwidgets-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5iconthemes-dev (>= 5.90.0~),
               libkf5itemviews-dev (>= 5.90.0~),
               libkf5kcmutils-dev (>= 5.90.0~),
               libkf5textwidgets-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libkf5windowsystem-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5x11extras5-dev (>= 5.15.2~),
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               libxcb-xkb-dev,
               libxkbfile-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://apps.kde.org/en/ktouch
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
Rules-Requires-Root: no

Package: ktouch
Architecture: any
Depends: ktouch-data (>= ${source:Version}),
         libqt5sql5-sqlite (>= 5.11.0~),
         qml-module-org-kde-charts (>= 5.46.0~),
         qml-module-org-kde-kcoreaddons (>= 5.46.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.46.0~),
         qml-module-qtgraphicaleffects (>= 5.11.0~),
         qml-module-qtquick-controls2 (>= 5.11.0~),
         qml-module-qtquick-layouts (>= 5.11.0~),
         qml-module-qtquick-window2 (>= 5.11.0~),
         qml-module-qtquick2 (>= 5.11.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: touch typing tutor for KDE
 KTouch is an aid for learning how to type with speed and accuracy.  It
 provides a sample text to type and indicates which fingers should be used for
 each key.
 .
 A collection of lessons are included for a wide range of different languages
 and keyboard layouts, and typing statistics are used to dynamically adjust the
 level of difficulty.
 .
 This package is part of the KDE education module.

Package: ktouch-data
Architecture: all
Description: data files for ktouch
 This package contains the architecture-independent data files for ktouch.
 .
 This package is part of the KDE education module.

## ktouch 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 # KTouch CMakeLists.txt file
 #
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 
-cmake_minimum_required(VERSION 3.15)
+cmake_minimum_required(VERSION 3.16)
 project(ktouch VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.83.0")
-
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.90.0")
+set (KDE_COMPILERSETTINGS_LEVEL "5.82.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 find_package(KF5DocTools)
@@ -27,7 +27,7 @@
 include(ECMSetupVersion)
 include(FeatureSummary)
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
     Core
     Gui
     Qml
@@ -39,9 +39,7 @@
     Xml
     XmlPatterns
 )
-
-find_package(Qt5X11Extras)
-find_package(Qt5 CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)
+find_package(Qt${QT_MAJOR_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS QuickCompiler)
 
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Completion
@@ -59,8 +57,29 @@
     IconThemes
 )
 
+find_package(KQtQuickCharts)
+set_package_properties(KQtQuickCharts PROPERTIES
+    DESCRIPTION "QtQuick plugin to render beautiful and interactive charts"
+    URL "https://commits.kde.org/kqtquickcharts"
+    TYPE RUNTIME
+)
 
 option(COMPILE_QML "Precompile QML code" OFF)
+option(WITHOUT_X11 "Build without X11 Keyboard Layout Detection (skips finding X11)" OFF)
+
+if (NOT WITHOUT_X11)
+    find_package(X11)
+    find_package(XCB OPTIONAL_COMPONENTS XCB XKB)
+    if (QT_MAJOR_VERSION STREQUAL "5")
+        find_package(Qt5X11Extras ${QT_MIN_VERSION} CONFIG)
+    endif()
+
+    if (Qt5X11Extras_FOUND AND X11_FOUND AND X11_Xkbfile_FOUND AND X11_Xkb_FOUND AND XCB_FOUND AND XCB_XKB_FOUND)
+        set(KTOUCH_BUILD_WITH_X11 TRUE)
+    endif()
+
+    add_feature_info ("Keyboard Layout Detection" KTOUCH_BUILD_WITH_X11 "needs Qt5X11Extras, libX11, libxkb, libxkbfile, libxcb, and libxcb-xkb")
+endif()
 
 # enable QML debugging for debug builds
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DQT_QML_DEBUG")

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR ktouch)
kdoctools_create_manpage(man-ktouch.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})

=== src/CMakeLists.txt ===
ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX KTOUCH
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KTouchConfigVersion.cmake"
)

ecm_optional_add_subdirectory(schemata)

# set include directories
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${ktouch_SOURCE_DIR}
)

# set the source code files from which KTouch is compiled
set(ktouch_SRCS
    application.cpp
    application.h
    bindings/stringformatter.cpp
    bindings/stringformatter.h
    bindings/utils.cpp
    bindings/utils.h
    colorsconfigwidget.cpp
    colorsconfigwidget.h
    core/abstractkey.cpp
    core/abstractkey.h
    core/coursebase.cpp
    core/coursebase.h
    core/course.cpp
    core/course.h
    core/dataaccess.cpp
    core/dataaccess.h
    core/dataindex.cpp
    core/dataindex.h
    core/dbaccess.cpp
    core/dbaccess.h
    core/keyboardlayoutbase.cpp
    core/keyboardlayoutbase.h
    core/keyboardlayout.cpp
    core/keyboardlayout.h
    core/keychar.cpp
    core/keychar.h
    core/key.cpp
    core/key.h
    core/lesson.cpp
    core/lesson.h
    core/profile.cpp
    core/profiledataaccess.cpp
    core/profiledataaccess.h
    core/profile.h
    core/resource.cpp
    core/resourcedataaccess.cpp
    core/resourcedataaccess.h
    core/resource.h
    core/specialkey.cpp
    core/specialkey.h
    core/trainingstats.cpp
    core/trainingstats.h
    core/userdataaccess.cpp
    core/userdataaccess.h
    customlessoneditordialog.cpp
    customlessoneditordialog.h
    declarativeitems/griditem.cpp
    declarativeitems/griditem.h
    declarativeitems/kcolorschemeproxy.cpp
    declarativeitems/kcolorschemeproxy.h
    declarativeitems/lessonpainter.cpp
    declarativeitems/lessonpainter.h
    declarativeitems/lessontexthighlighteritem.cpp
    declarativeitems/lessontexthighlighteritem.h
    declarativeitems/preferencesproxy.cpp
    declarativeitems/preferencesproxy.h
    declarativeitems/scalebackgrounditem.cpp
    declarativeitems/scalebackgrounditem.h
    declarativeitems/traininglinecore.cpp
    declarativeitems/traininglinecore.h
    editor/abstracteditor.cpp
    editor/abstracteditor.h
    editor/charactersviewdelegate.cpp
    editor/charactersviewdelegate.h
    editor/courseeditor.cpp
    editor/courseeditor.h
    editor/keyboardlayoutcombobox.cpp
    editor/keyboardlayoutcombobox.h
    editor/keyboardlayouteditor.cpp
    editor/keyboardlayouteditor.h
    editor/keyboardlayouteditorview.cpp
    editor/keyboardlayouteditorview.h
    editor/keyboardlayoutpropertieswidget.cpp
    editor/keyboardlayoutpropertieswidget.h
    editor/lessontexteditor.cpp
    editor/lessontexteditor.h
    editor/lessontexthighlighter.cpp
    editor/lessontexthighlighter.h
    editor/newcoursewidget.cpp
    editor/newcoursewidget.h
    editor/newkeyboardlayoutwidget.cpp
    editor/newkeyboardlayoutwidget.h
    editor/newresourceassistant.cpp
    editor/newresourceassistant.h
    editor/resourceeditor.cpp
    editor/resourceeditor.h
    editor/resourceeditorwidget.cpp
    editor/resourceeditorwidget.h
    editor/resourcetemplatewidget.cpp
    editor/resourcetemplatewidget.h
    editor/resourcetypeswidget.cpp
    editor/resourcetypeswidget.h
    ktouchcontext.cpp
    ktouchcontext.h
    main.cpp
    mainwindow.cpp
    mainwindow.h
    models/categorizedresourcesortfilterproxymodel.cpp
    models/categorizedresourcesortfilterproxymodel.h
    models/charactersmodel.cpp
    models/charactersmodel.h
    models/errorsmodel.cpp
    models/errorsmodel.h
    models/learningprogressmodel.cpp
    models/learningprogressmodel.h
    models/lessonmodel.cpp
    models/lessonmodel.h
    models/resourcemodel.cpp
    models/resourcemodel.h
    trainingconfigwidget.cpp
    trainingconfigwidget.h
    undocommands/coursecommands.cpp
    undocommands/coursecommands.h
    undocommands/keyboardlayoutcommands.cpp
    undocommands/keyboardlayoutcommands.h)

qt_add_resources(ktouch_imgs_SRCS images/images.qrc)

if (Qt5QuickCompiler_FOUND AND COMPILE_QML)
    qtquick_compiler_add_resources(ktouch_qml_SRCS qml/qml.qrc)
else ()
    qt_add_resources(ktouch_qml_SRCS qml/qml.qrc)
endif()

# compile UI files
ki18n_wrap_ui(ktouch_SRCS
    ui/colorsconfigwidget.ui
    ui/trainingconfigwidget.ui
    ui/resourceeditorwidget.ui
    ui/resourcetypeswidget.ui
    ui/newcoursewidget.ui
    ui/newkeyboardlayoutwidget.ui
    ui/resourcetemplatewidget.ui
    ui/courseeditor.ui
    ui/lessontexteditor.ui
    ui/keyboardlayouteditor.ui
    ui/keyboardlayoutpropertieswidget.ui
    ui/customlessoneditordialog.ui
)

if (KTOUCH_BUILD_WITH_X11)
    add_definitions(-DKTOUCH_BUILD_WITH_X11)
    include_directories(${X11_Xkb_INCLUDE_PATH})
    include_directories(${X11_Xkbfile_INCLUDE_PATH})
    set(ktouch_SRCS ${ktouch_SRCS} x11_helper.cpp x11_helper.h)
    set(ktouch_X11_DEPS Qt::X11Extras ${X11_Xkb_LIB} ${X11_LIBRARIES} XCB::XCB XCB::XKB)
endif ()

kconfig_add_kcfg_files(ktouch_SRCS preferences.kcfgc)

add_executable(ktouch ${ktouch_SRCS} ${ktouch_imgs_SRCS} ${ktouch_qml_SRCS})

#uncomment this if oxygen icons for ktouch are available
target_link_libraries(ktouch
    LINK_PUBLIC
        Qt::Qml
        Qt::Quick
        Qt::QuickWidgets
        Qt::QuickControls2
        Qt::Sql
        Qt::XmlPatterns
        KF5::Completion
        KF5::ConfigWidgets
        KF5::ItemViews
        KF5::XmlGui
        KF5::I18n
        KF5::KCMUtils
        KF5::TextWidgets
        KF5::WindowSystem
        KF5::CoreAddons
        KF5::IconThemes
        ${ktouch_X11_DEPS}
)

#kde4_add_app_icon(ktouch_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/ktouch.png")
#kde4_add_app_icon(ktouch_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hi*-app-ktouch.png")

install(TARGETS ktouch ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ktouch.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

=== debian/changelog ===
ktouch (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:00 +0100

ktouch (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Remove incorrect lintian override.
  * Add missing ${misc:Depends} to Depends for ktouch-data.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Remove unused debian/not-installed file.
  * Remove unused debian/ktouch-data.qml-ignore file.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Simplify debian/ktouch-data.install.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Feb 2023 10:27:58 +0100

ktouch (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:39:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
+               dh-sequence-kf5,
                extra-cmake-modules (>= 5.90.0~),
                libkf5completion-dev (>= 5.90.0~),
                libkf5config-dev (>= 5.90.0~),
@@ -25,11 +25,10 @@
                libxcb-xkb-dev,
                libxkbfile-dev,
                pkg-config,
-               pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/ktouch
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ktouch
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ktouch.git
@@ -62,6 +61,7 @@
 
 Package: ktouch-data
 Architecture: all
+Depends: ${misc:Depends},
 Description: data files for ktouch
  This package contains the architecture-independent data files for ktouch.
  .

## ktouch 23.08.0

=== debian/changelog ===
ktouch (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:59:42 +0100

ktouch (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:39:09 +0100

ktouch (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:53:52 +0100

ktouch (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:00:33 +0100

ktouch (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:43:18 +0000

ktouch (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:25:10 -0600

ktouch (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:19:03 +0000

ktouch (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:30:33 +0000

ktouch (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:14:48 +0000

ktouch (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:11:02 +0000

ktouch (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:54:01 +0000

ktouch (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:59 +0000

## ktouch 23.08.1

=== debian/changelog ===
ktouch (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:04:40 +0100

## ktouch 23.08.4

=== debian/changelog ===
ktouch (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:20:53 +0000

ktouch (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:41:09 +0000

ktouch (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:36:58 +0100
